umbrello: ComboBoxWidgetBase Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
ComboBoxWidgetBase Class Reference

`#include <comboboxwidgetbase.h>`

Inheritance diagram for ComboBoxWidgetBase:

## Public Member Functions
| ComboBoxWidgetBase (const QString &title, const QString &postLabel=QString(), QWidget *parent=nullptr)
void | addToLayout (QGridLayout *layout, int row, int startColumn=0)
KComboBox * | editField ()

## Protected Attributes
QLabel * | m_label
QLabel * | m_postLabel
KComboBox * | m_editField

## Constructor & Destructor Documentation

## ◆ ComboBoxWidgetBase()

ComboBoxWidgetBase::ComboBoxWidgetBase | ( | const QString & | title,
|  | const QString & | postLabel = `QString()`,
|  | QWidget * | parent = `nullptr`
| ) |  |
| explicit

## Member Function Documentation

## ◆ addToLayout()

void ComboBoxWidgetBase::addToLayout | ( | QGridLayout * | layout,
|  | int | row,
|  | int | startColumn = `0`
| ) |  |

Add this widget to a given grid layout. Umbrello dialogs place labels in column 0 and the editable field in column 1.

Parameters

  layout | The layout to which the widget should be added
  row | The row in the grid layout where the widget should be placed
  startColumn | The first column in the grid layout where the widget should be placed

## ◆ editField()

KComboBox * ComboBoxWidgetBase::editField | ( |  | ) |

Return pointer to the KComboBox edit field.

## Member Data Documentation

## ◆ m_editField

KComboBox* ComboBoxWidgetBase::m_editField
| protected

## ◆ m_label

QLabel* ComboBoxWidgetBase::m_label
| protected

## ◆ m_postLabel

QLabel* ComboBoxWidgetBase::m_postLabel
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/comboboxwidgetbase.h
- umbrello/dialogs/widgets/comboboxwidgetbase.cpp